org.apache.poi.hssf.record

## Class ExtSSTRecord.InfoSubRecord

- java.lang.Object
- - org.apache.poi.hssf.record.ExtSSTRecord.InfoSubRecord

- Enclosing class:
    ExtSSTRecord

      public static final class ExtSSTRecord.InfoSubRecord
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ENCODED_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoSubRecord(ExtSSTRecord.InfoSubRecord other)`
    `InfoSubRecord(int streamPos, int bucketSstOffset)` Creates new ExtSSTInfoSubRecord
    `InfoSubRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBucketSSTOffset()`
    `int` | `getStreamPos()`
    `void` | `serialize(LittleEndianOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENCODED_SIZE

          public static final int ENCODED_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfoSubRecord

          public InfoSubRecord(int streamPos,
                               int bucketSstOffset)

      Creates new ExtSSTInfoSubRecord
      Parameters:
        `streamPos` - stream pointer to the SST record
        `bucketSstOffset` - ... don't really understand this yet

    - #### InfoSubRecord

          public InfoSubRecord(ExtSSTRecord.InfoSubRecord other)

    - #### InfoSubRecord

          public InfoSubRecord(RecordInputStream in)

  - ### Method Detail

    - #### getStreamPos

          public int getStreamPos()

    - #### getBucketSSTOffset

          public int getBucketSSTOffset()

    - #### serialize

          public void serialize(LittleEndianOutput out)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.